List marketplace demo publish access records

View as Markdown
List marketplace demo publish access records. Air administrators and SREs see all records; others see only records from their organization. **Required scopes (any one):** - `air:marketplace_demo_write` (roles: `air_demo_manager`, `air_org_admin`, `air_user`) - `air:marketplace_demo_publish` (roles: `air_demo_manager`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
marketplace_demostringOptionalformat: "uuid"
Filter publish access records for a specific marketplace demo.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

publicly_publishedbooleanOptional

Filter by public vs restricted visibility (for approved requests).

requested_by_emailstringOptional

Filter by requester email (case-insensitive).

requesting_org_display_namestringOptional

Filter by requesting organization display name (case-insensitive).

requesting_org_ngc_org_namestringOptional

Filter by requesting organization NGC name (case-insensitive).

searchstringOptional

Search by marketplace_demo_name, justification, allowed_orgs_request_text, requested_by_email, requesting_org_ngc_org_name, or requesting_org_display_name.

statusenumOptional
Filter by request status. * `PENDING` - Pending * `APPROVED` - Approved * `DENIED` - Denied * `REMOVED` - Removed * `CANCELLED` - Cancelled * `PENDING_ELEVATION` - Pending Elevation * `PENDING_RESTRICTION` - Pending Restriction * `PENDING_UNPUBLISH` - Pending Unpublish * `PENDING_ALLOWLIST` - Pending Allow List Change * `APPROVED_PENDING_IMAGE_PUBLISH` - Approved Pending Image Publish

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error